summaryrefslogtreecommitdiff
path: root/config/chroot_local-hooks/teamviewer
diff options
context:
space:
mode:
authorAndreas Loibl <andreas@andreas-loibl.de>2013-08-26 21:28:38 +0200
committerAndreas Loibl <andreas@andreas-loibl.de>2013-08-27 06:46:21 +0200
commit3b0a401d4eaa4c961c6a07c3a98c3d40b0a3e031 (patch)
treea0d5c539f2e8679234550df0e48c27082e83476d /config/chroot_local-hooks/teamviewer
parenteed584b30c1d4b96e0be8dcf6781acb0aa30c37a (diff)
downloadkanotix-3b0a401d4eaa4c961c6a07c3a98c3d40b0a3e031.zip
kanotix-3b0a401d4eaa4c961c6a07c3a98c3d40b0a3e031.tar.gz
added some optional proprietary packages/ repositories and hooks
Diffstat (limited to 'config/chroot_local-hooks/teamviewer')
-rwxr-xr-xconfig/chroot_local-hooks/teamviewer24
1 files changed, 24 insertions, 0 deletions
diff --git a/config/chroot_local-hooks/teamviewer b/config/chroot_local-hooks/teamviewer
new file mode 100755
index 0000000..c6ce343
--- /dev/null
+++ b/config/chroot_local-hooks/teamviewer
@@ -0,0 +1,24 @@
+#!/bin/bash
+for file in /root/config/*; do [ -r $file ] && . $file; done
+echo "$LB_PACKAGE_LISTS" | grep -qw teamviewer || exit 0
+TMP=$(mktemp -d /tmp/teamviewer.XXXXXX)
+if [ "$LB_ARCHITECTURE" = "amd64" ]; then
+wget -NP $TMP "http://www.teamviewer.com/download/teamviewer_linux_x64.deb"
+else
+wget -NP $TMP "http://www.teamviewer.com/download/teamviewer_linux.deb"
+fi
+dpkg -i $TMP/*.deb
+apt-get update
+DEBIAN_FRONTEND=noninteractive apt-get -f -y install
+rm -rf $TMP
+/etc/init.d/teamviewerd stop || :
+killall teamviewerd || :
+while sleep 1; do pidof teamviewerd >/dev/null || break; done
+cat <<"EOF" >/opt/teamviewer8/config/global.conf
+TeamViewer Global Settings
+# It is not recommended to edit this file manually
+
+
+[int32] EulaAccepted = 1
+[int32] EulaAcceptedRevision = 5
+EOF